package com.prolog.cs.biz.outbound.dao;

import com.prolog.cs.biz.outbound.model.SYZJPrintAgain;
import com.prolog.cs.biz.outbound.model.dto.PreReplenishDto;
import com.prolog.cs.biz.outbound.model.entity.OmsDoBillDDO;
import com.prolog.cs.biz.outbound.model.vo.PreReplenishVo;
import com.prolog.cs.biz.outbound.model.vo.PrintQnSaleVO;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface OmsDoBillDMapper extends BaseMapper<OmsDoBillDDO> {


    List<PrintQnSaleVO> queryQnSalesData(@Param("billId") String billId);

    List<Map<String, Object>> queryYmSalesData(@Param("billId") String billId);

    List<Map<String, Object>> queryLogisticData(@Param("billId") String billId);

    void updateAttrstr3(@Param("lineids") List<String> billdLineIds);


    void updateAttrstr4(@Param("lineids") List<String> billdLineIds);

    List<SYZJPrintAgain> findPrintAgainSY(SYZJPrintAgain syzjPrintAgain);

    List<SYZJPrintAgain> findPrintAgainZJ(SYZJPrintAgain syzjPrintAgain);

    List<PreReplenishDto> getPreReplenishPageList(PreReplenishVo vo);
}
